diff -uNrd -x ChangeLog ircd-hybrid-7.0/TODO PleXusIRCd-1.17a/TODO
--- ircd-hybrid-7.0/TODO	Wed Aug 21 01:58:03 2002
+++ PleXusIRCd-1.17a/TODO	Mon Dec  1 05:33:14 2003
@@ -1,3 +1,10 @@
+static, TODO
+
+- Allow services to UNKLINE if needed
+- Client SSL
+- server<->server bursts with compression, desync causes 'Unknown Client' kills
+- ability to select which ip a client connects to on a hub server
+
 $Id: TODO,v 7.74 2002/08/21 05:58:03 lusky Exp $
 
 - add more stderr debugging (ircd -s)... one for every place we syslog()
diff -uNrd -x ChangeLog ircd-hybrid-7.0/config PleXusIRCd-1.17a/config
--- ircd-hybrid-7.0/config	Wed Dec 31 19:00:00 1969
+++ PleXusIRCd-1.17a/config	Mon Oct 27 20:35:09 2003
@@ -0,0 +1,191 @@
+# Need to add hostmask and modelock p from config.h
+echo "##########################################################################"
+echo "#                                                                        #"
+echo "#                           PleXusIRCd V1.16 config                      #"
+echo "#                                                                        #"
+echo "##########################################################################"
+echo ">> Where do you want the ircd binaries to be installed?"
+echo -n "[$HOME/ircd] > $c"
+read cc
+HOME="$cc"
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="1"
+    echo ""
+    echo ">> What OS is your server running?"
+    echo "  (1) *BSD"
+    echo "  (2) Linux" 
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi
+    if [ -z "$cc" ] ; then
+        cc=$FOO
+    fi
+    case "$cc" in
+        [1]*)
+            OS="--enable-kqueue --disable-small-net --disable-poll --enable-block-alloc"
+            ;;
+        [2]*)
+	    OS="--enable-poll --disable-select --enable-rtsigio --disable-assert"
+	    ;;
+        *)
+            echo ""
+            echo "You need to enter 1 or 2 here."
+            echo ""
+	    FOO=""
+            ;;
+    esac   
+done
+FOO=""
+runonce=""  
+while [ -z "$FOO" ] ; do
+    FOO="1024"
+    echo "" 
+    echo "Max users?"
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi
+    if [ -z "$cc" ] ; then
+        cc=$FOO
+    fi
+    case "$cc" in
+        [1-9]*)
+            MAXUSERS="$cc"
+            ;;
+        *)
+            echo ""
+            echo "You need to enter a number here."
+            echo ""
+            FOO=""
+            ;;
+    esac
+done
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="0"
+    echo ""
+    echo "Network support for more than 10,000 users? (1 = yes, 0 = no)"
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi
+    if [ -z "$cc" ] ; then
+        cc=$FOO    
+    fi
+    case "$cc" in
+        [1]*)
+            BIGNET=--disable-small-net
+            ;;
+        [0]*)
+	    BIGNET=--enable-small-net
+	    ;;
+	*)     
+            echo ""
+            echo "You need to enter 0 or 1 here."
+            echo ""
+            FOO=""
+            ;;
+    esac   
+done
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="30"
+    echo ""
+    echo "Maximum nickname length?"
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi
+    if [ -z "$cc" ] ; then
+        cc=$FOO
+    fi
+    case "$cc" in
+        [1-9]*)
+            NICKLEN="$cc"
+            ;;
+        *)
+            echo ""
+            echo "You need to enter a number here."
+            echo ""
+            FOO=""
+            ;;
+    esac
+done
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="400"  
+    echo ""
+    echo "Maximum topic length?"
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi 
+    if [ -z "$cc" ] ; then
+        cc=$FOO
+    fi      
+    case "$cc" in
+        [1-9]*)
+            TOPICLEN="$cc"
+            ;;
+        *)
+            echo ""
+            echo "You need to enter a number here."
+            echo ""
+            FOO=""
+            ;;
+    esac
+done    
+FOO=""
+runonce=""
+while [ -z "$FOO" ] ; do
+    FOO="0"  
+    echo ""
+    echo "Will the ircd accepted IPv6 connections? (1 = yes, 0 = no)"
+    echo -n "[$FOO] > $c"
+    if [ -z "$AUTO_CONFIG" -o -n "$runonce" ] ; then
+        read cc
+    else
+        cc=""
+        runonce=Yes
+    fi 
+    if [ -z "$cc" ] ; then
+        cc=$FOO
+    fi      
+    case "$cc" in
+        [1]*)
+            IPV6=--enable-ipv6
+            ;;
+        [0]*)
+	    IPV6=--disable-ipv6
+	    ;;
+        *)
+            echo ""
+            echo "You need to enter 0 or 1 here."
+            echo ""
+            FOO=""
+            ;;
+    esac
+done    
+echo "./configure --prefix=$HOME $OS $BIGNET --with-maxclients=$MAXUSERS --with-nicklen=$NICKLEN --with-topiclen=$TOPICLEN"
+./configure --prefix=$HOME $OS $BIGNET --with-maxclients=$MAXUSERS --with-nicklen=$NICKLEN --with-topiclen=$TOPICLEN $IPV6
